notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Port details
rubygem-sprockets22 Ruby library that preprocesses and concatenates JavaScript files
2.2.3_1 devel Deleted on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 2.2.3_1Version of this port present on the latest quarterly branch.
Deprecated DEPRECATED: Use devel/rubygem-sprockets or devel/rubygem-sprockets3 instead
Expired This port expired on: 2017-01-07
Maintainer: ruby@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2015-04-02 20:30:28
Last Update: 2017-01-07 15:39:26
SVN Revision: 430809
Also Listed In: rubygems
License: MIT
Description:
SVNWeb : git : Homepage
pkg-plist: as obtained via: make generate-plist
There is no configure plist information for this port.
Dependency lines:
  • rubygem-sprockets22>0:devel/rubygem-sprockets22
No installation instructions:
This port has been deleted.
PKGNAME: rubygem-sprockets22
Flavors: there is no flavor information for this port.
distinfo:
Packages (timestamps in pop-ups are UTC):
rubygem-sprockets22
ABIlatestquarterly
FreeBSD:11:aarch64--
FreeBSD:11:amd64--
FreeBSD:11:armv62.2.3_1-
FreeBSD:11:i386--
FreeBSD:11:mips--
FreeBSD:11:mips64--
FreeBSD:12:aarch64--
FreeBSD:12:amd64--
FreeBSD:12:armv6--
FreeBSD:12:armv7--
FreeBSD:12:i386--
FreeBSD:12:mips--
FreeBSD:12:mips64--
FreeBSD:12:powerpc64--
FreeBSD:13:aarch64--
FreeBSD:13:amd64--
FreeBSD:13:armv6--
FreeBSD:13:armv7--
FreeBSD:13:i386--
FreeBSD:13:mips--
FreeBSD:13:mips64--
FreeBSD:13:powerpc64--
FreeBSD:14:aarch64--
FreeBSD:14:amd64--
FreeBSD:14:armv6--
FreeBSD:14:armv7--
FreeBSD:14:i386--
FreeBSD:14:mips--
FreeBSD:14:mips64--
FreeBSD:14:powerpc64--
 

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. ruby22 : lang/ruby22
  2. gem22 : devel/ruby-gems
Runtime dependencies:
  1. rubygem-hike>=1.2 : devel/rubygem-hike
  2. rubygem-multi_json>=1.0 : devel/rubygem-multi_json
  3. rubygem-rack16>=1.0 : www/rubygem-rack16
  4. rubygem-tilt1>=1.1 : devel/rubygem-tilt1
  5. ruby22 : lang/ruby22
  6. gem22 : devel/ruby-gems
Patch dependencies:
  1. ruby22 : lang/ruby22
  2. gem22 : devel/ruby-gems
Extract dependencies:
  1. ruby22 : lang/ruby22
NOTE: dependencies for deleted ports are notoriously suspect
This port is required by:
for Run

Deleted ports which required this port:

Expand this list of 2 deleted ports
  1. www/rubygem-actionpack*
  2. www/rubygem-rails*
  3. Collapse this list of deleted ports.
* - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...

Configuration Options:
Options name:

USES:

FreshPorts was unable to extract/find any pkg message
Master Sites:
Expand this list (1 items)
Collapse this list.
  1. https://rubygems.global.ssl.fastly.net/gems/
Collapse this list.
Port Moves
  • port moved to devel/rubygem-sprockets3 on 2017-01-07
    REASON: Has expired: Use devel/rubygem-sprockets or devel/rubygem-sprockets3 instead

Number of commits found: 12

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
07 Jan 2017 15:39:26
Original commit files touched by this commit Revision:430809  2.2.3_1
rene search for other commits by this committer
Remove expired ports:
2017-01-07 databases/rubygem-dm-rails: Depends on deprecated
www/rubygem-actionpack
2017-01-07 databases/rubygem-activerecord: Upstream support ended
2017-01-07 devel/rubygem-activesupport: Upstream support ended
2017-01-07 devel/rubygem-tzinfo03: Use devel/rubygem-tzinfo instead
2017-01-07 devel/rubygem-sprockets22: Use devel/rubygem-sprockets or
devel/rubygem-sprockets3 instead
2017-01-07 devel/rubygem-prototype-rails: Depends on deprecated
www/rubygem-rails
2017-01-07 devel/rubygem-rubigen: Depends on deprecated
devel/rubygem-activesupport
2017-01-07 devel/rubygem-coffee-rails: Depends on deprecated
www/rubygem-railties
2017-01-07 japanese/rubygem-jpmobile: Depends on deprecated rubygem-rails
2017-01-07 mail/rubygem-actionmailer: Upstream support ended
2017-01-07 mail/rubygem-mail25: Use mail/rubygem-mail instead
2017-01-07 security/dradis: Depends on deprecated www/rubygem-rails
2017-01-07 textproc/rubygem-sass-rails: Depends on deprecated
www/rubygem-railties
2017-01-07 www/rubygem-rails: Upstream support ended
2017-01-07 www/rubygem-activeresource: Upstream support ended
2017-01-07 www/rubygem-responders-rails3: Depends on deprecated
www/rubygem-railties
2017-01-07 www/rubygem-jquery-ui-rails: Depends on deprecated
www/rubygem-railties
2017-01-07 www/rubygem-haml-rails: Depends on deprecated www/rubygem-actionpack
2017-01-07 www/rubygem-jquery-rails: Depends on deprecated www/rubygem-railties
2017-01-07 www/rubygem-railties: Upstream support ended
2017-01-07 www/rubygem-actionpack: Upstream support ended
2017-01-07 databases/rubygem-rubyrep: Depends on deprecated
databases/rubygem-activerecord
2017-01-07 databases/rubygem-activerecord-mysql-adapter: Depends on deprecated
databases/rubygem-activerecord
2017-01-07 databases/rubygem-dm-active_model: Depends on deprecated
databases/rubygem-activemodel
31 Dec 2016 11:56:05
Original commit files touched by this commit Revision:430104  2.2.3_1
sunpoet search for other commits by this committer
- Mark DEPRECATED and set EXPIRATION_DATE to 2017-01-07
19 May 2016 10:21:25
Original commit files touched by this commit Revision:415498  2.2.3_1
amdmi3 search for other commits by this committer
- Fix trailing whitespace in pkg-descrs, categories [a-f]*

Approved by:	portmgr blanket
27 Apr 2016 21:57:32
Original commit files touched by this commit Revision:414136  2.2.3_1
swills search for other commits by this committer
Convert USES=gem:autoplist to USES=gem since autoplist is default
27 Apr 2016 16:36:42
Original commit files touched by this commit Revision:414118  2.2.3_1
swills search for other commits by this committer
create USES=gem and update rubygem- ports to use it

Note that for now ports still have to have USE_RUBY=yes to use USES=gem

PR:		209041
Differential Revision:	https://reviews.freebsd.org/D6070
04 Apr 2016 15:24:53
Original commit files touched by this commit Revision:412516  2.2.3_1
swills search for other commits by this committer
devel/ruby-gems: Update to 2.6.2

PR:		208371
Submitted by:	wen (partial)
01 Apr 2016 14:00:57
Original commit files touched by this commit Revision:412346  2.2.3_1
mat search for other commits by this committer
Remove ${PORTSDIR}/ from dependencies, categories d, e, f, and g.

With hat:	portmgr
Sponsored by:	Absolight
13 Jun 2015 20:02:28
Original commit files touched by this commit Revision:389504  2.2.3_1
sunpoet search for other commits by this committer
- Update RUN_DEPENDS: use newer rubygem-rack
- Remove CONFLICTS_INSTALL
- Bump PORTREVISION for dependency change
13 Jun 2015 13:55:50
Original commit files touched by this commit Revision:389415  2.2.3
sunpoet search for other commits by this committer
- Add NO_ARCH
- Update WWW
05 Apr 2015 21:29:39
Original commit files touched by this commit Revision:383369  2.2.3
sunpoet search for other commits by this committer
- Update to 2.2.3

Changes:	https://github.com/rails/sprockets/blob/master/README.md#version-history
02 Apr 2015 20:39:01
Original commit files touched by this commit Revision:383067  2.2.2
swills search for other commits by this committer
devel/rubygem-sprockets22: remove conflict with latest sprockets, it is not
needed
02 Apr 2015 20:30:15
Original commit files touched by this commit Revision:383064  2.2.2
swills search for other commits by this committer
devel/rubygem-sprockets22: create port for older sprockets

Number of commits found: 12